Skip to main content
Version: v1.0.0(int)

E077: List SKUs

GET /api/skus

Returns SKU rows for the SKUs page, PO and WO and SO create or edit forms, BOM editor, and inventory pages. Filters are supplied by the caller.

Authentication​

Standard tenant route. Requires Authorization: Bearer <firebase-id-token> and X-Org-Id: <org-id>. Access: Member.

Request​

Optional filters: ?skuTypeId=, ?isActive=, ?isFinishedGood=, ?q=.

Response — 200 OK​

{ "data": [ Sku ] }

Errors​

Standard envelope only.

Workflow​

Calls W077 List SKUs.